#include "resolution/Systray.hpp"
#include <QApplication>
#include <QGuiApplication>
#include <QStyleFactory>

int main( int argc, char **argv )
{
    QGuiApplication::setAttribute( Qt::AA_EnableHighDpiScaling, true );
    QGuiApplication::setAttribute( Qt::AA_UseHighDpiPixmaps, true );
    QGuiApplication::setHighDpiScaleFactorRoundingPolicy( Qt::HighDpiScaleFactorRoundingPolicy::PassThrough );
    QApplication app( argc, argv );
    app.setQuitOnLastWindowClosed( false );
    app.setStyle( QStyleFactory::create( "Fusion" ) );

    Systray systray;
    systray.start();

    QObject::connect( &systray, SIGNAL( Exit() ), &app, SLOT( quit() ) );

    return app.exec();
}