#include "Globals.hpp"

//=============================================================================

int DPI_X_Scaled( int value, const QWidget* widget )
{
    return qRound( DPI_X_ScaledF( qreal( value ), widget ) );
}

int DPI_Y_Scaled( int value, const QWidget* widget )
{
    return qRound( DPI_Y_ScaledF( qreal( value ), widget ) );
}

qreal DPI_X_ScaledF( qreal value, const QWidget* widget )
{
    return value * DPI_X_ScaledFactor( widget );
}

qreal DPI_Y_ScaledF( qreal value, const QWidget* widget )
{
    return value * DPI_Y_ScaledFactor( widget );
}

qreal DPI_X_ScaledFactor( const QWidget* widget )
{
    return widget ? qreal( widget->logicalDpiX() ) / 96.0 : 1.0;
}

qreal DPI_Y_ScaledFactor( const QWidget* widget )
{
    return widget ? qreal( widget->logicalDpiY() ) / 96.0 : 1.0;
}

//=============================================================================