#ifndef NOTIFICATIONAREA_HPP
#define NOTIFICATIONAREA_HPP

#include <QtWidgets/QFrame>

// forward declarations
class QGridLayout;
class QVBoxLayout;

/******************************************************************************/
class NotificationArea : public QFrame
{
    Q_OBJECT

public:
    NotificationArea( QWidget *parent = NULL );
    ~NotificationArea();
    QAction* getAction_Close() const { return m_actClose; }

protected:
    virtual void showEvent( QShowEvent *e ) override;
    virtual void paintEvent( QPaintEvent *e ) override;
    void updatePositioning();
    void displayScreenData( const QScreen *screen );
    void addItem( QGridLayout *layout, int *row, const QString &description, QWidget *widget );

protected:
    QAction*     m_actClose;
    QVBoxLayout* m_CenterLayout;
    QWidget*     m_ScreenWidget;
};

/******************************************************************************/
class GeoWidget : public QWidget
{
    Q_OBJECT

public:
    GeoWidget( const QSize &size, QWidget *parent = NULL );
    GeoWidget( const QSizeF &size, QWidget *parent = NULL );
    GeoWidget( const QRect &rect, QWidget *parent = NULL );
    ~GeoWidget();
};

#endif