#ifndef SYSTRAY_HPP
#define SYSTRAY_HPP

#include <QtWidgets/QWidget>
#include <QtWidgets/QSystemTrayIcon>
#include <QtWidgets/QAction>

// forward declarations
class NotificationArea;

/******************************************************************************/
class Systray : public QObject
{
    Q_OBJECT

public:
    Systray( QObject* parent = 0 );
    ~Systray();
    NotificationArea* notificationArea() const { return m_NotificationArea; }
    QAction* getAction_Show() const            { return m_actShow; }
    QAction *getAction_Exit() const            { return m_actExit; }

    void start();

public slots:
    void showNotificationArea();
    void toggleShowNotificationArea();

signals:
    void Exit();

protected slots:
    void onSystrayActivated( QSystemTrayIcon::ActivationReason reason );
    void onExit();

protected:
    QIcon createSystrayIcon() const;

protected:
    QSystemTrayIcon*  m_Systray;
    NotificationArea* m_NotificationArea;
    QAction*          m_actShow;
    QAction*          m_actExit;
};

#endif